Permalink
Browse files

Add check to make sure Git is installed before we attempt update/setup

  • Loading branch information...
1 parent 48b6de4 commit 7d3154e1c7023d42410b6bd815cbeb7dc5eb27ee @Hexxeh committed Apr 21, 2012
Showing with 8 additions and 1 deletion.
  1. +8 −1 rpi-update
View
@@ -8,10 +8,17 @@ FW_GPU=$((256-FW_RAM))
echo "Raspberry Pi firmware updater by Hexxeh"
if [[ $EUID -ne 0 ]]; then
- echo "This tool must be run as root" 1>&2
+ echo "This tool must be run as root"
exit 1
fi
+command -v git >/dev/null 2>&1 || {
+ echo "This tool requires you have Git installed, please install it first"
+ echo "In Debian, try: sudo apt-get install git-core"
+ echo "In Arch, try: pacman -Sy git"
+ exit 1
+}
+
echo "Using memory split of ${FW_RAM}MB/${FW_GPU}MB"
GITCMD="git --git-dir=${FW_PATH}/.git --work-tree=${FW_PATH}"

0 comments on commit 7d3154e

Please sign in to comment.